package com.sien.common.service.impl;

import io.geekidea.springbootplus.framework.common.api.ApiResult;

public interface MerchantSmsService {

    void deleteRegisterCode(String area, String number);

    /**
     * 获取注册验证码
     */
    ApiResult<Object> registerCode(String phoneArea, String phone);

    /**
     * 获取注册验证码
     */
    ApiResult LoginType(String area, String number);

    /**
     * 校验注册验证码
     *
     * @param area
     * @param number
     * @param code
     * @return
     */
    boolean equalsRegisterCode(String area, String number, String code);

    /**
     * 校验验登陆证码
     *
     * @param area
     * @param number
     * @param code
     * @return
     */
    boolean equalsLoginCode(String area, String number, String code);

}
